<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="Unlock the full potential of your data with 5pm.dev, your trusted partner for cutting-edge data enrichment solutions. Seamlessly enhance, analyze, and transform your information in real-time. Join our waiting list and stay ahead in the era of enriched data." />
        <title>5pm.dev - Data Enrichment Solution</title>
        <link rel="icon" href="./images/favicon.ico" type="image/x-icon" sizes="any maskable" />
        <link rel="apple-touch-icon" sizes="180x180" href="./images/apple-touch-icon.png" />
        <link rel="stylesheet" href="./style/style.min.css">
    </head>
    <body>
        <div class="fake-header"></div>
        <div class="header">
            <div class="title">5pm . { dev }</div>
        </div>
        <div class="page">
            <div class="content">
                <div class="intro">
                    <section class="details">
                        <h1>Welcome to 5pm.dev 👋</h1>
                        <p>
                            Turn your data into a powerful asset with 5pm.dev, your trusted partner for data enrichment. Seamlessly 
                            enhance, analyze, and transform your information in real-time. Join the waitlist and be the first to unlock 
                            the full potential of enriched data.
                        </p>
                        <p class="join-text">
                            Join now ...
                            <span class="arrow-right">➡️</span>
                            <span class="arrow-down">⤵️</span>
                        </p>
                    </section>
                    <section class="waiting-list">
                        <h1>Be the first to know: Join our waitlist ⏰</h1>
                        <p>
                            ... and be the first to experience the power of 5pm.dev, the new data enrichment platform! 
                            Sign up now and we'll let you know when it's time to unlock a new level of data activation.
                        </p>
                        <form id="waitingListForm" class="waiting-list-form">
                            <label for="name">Name:</label>
                            <input type="text" id="name" name="name" placeholder="Your name *" required>
                            <label for="email">Email:</label>
                            <input type="email" id="email" name="email" placeholder="Your email address *" required>
                            <label for="company">Website:</label>
                            <input type="text" id="company" name="company" placeholder="Your company website">
                            <button type="submit">Join Now 🖋️</button>
                        </form>
                    </section>
                </div>
                <div class="cya">
                    <h2>How to reach us</h2>
                    <p>We know waiting can be hard, so if you would like to know more, we can also be found at..</p>
                    <div class="contact">
                        <div class="directly">
                            <h4>Directly</h4>
                            <a href="mailto:hello@5pm.dev">hello@5pm.dev</a>
                        </div>
                        <div class="divider"></div>
                        <div class="social">
                            <h4>or follow us on...</h4>
                            <a href="https://www.linkedin.com/company/5pm-dev/" target="_blank"><img height="50" src="/images/linkedin-logo.png" /></a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tree-img">
                <img src="/images/bottom-img.webp"/>
            </div>
            <div class="footer">
                <div class="copywright">
                    &copy;
                    <span><script>document.write(new Date().getFullYear())</script></span>
                    <a href="https://5pm.dev">5pm.dev</a>
                </div>
                <div class="links">
                    <a href="https://5pm.dev/privacy-policy">Privacy Policy</a>
                    |
                    <a href="https://5pm.dev/terms-of-service">Terms of Service</a>
                </div>
            </div>
        </div>
        <script>
            function signup(e) {
                e.preventDefault();

                // get the data from the form
                const form = document.querySelector('#waitingListForm');
                const name = form.querySelector('#name').value;
                if (!name) {
                    alert('Please enter your name');
                    return false;
                }
                const email = form.querySelector('#email').value;
                if (!email) {
                    alert('Please enter your email');
                    return false;
                }
                const website = form.querySelector('#company').value;

                const submitButton = form.querySelector('button');
                submitButton.disabled = true;

                // build the entity
                const entity = {
                    email: email,
                    entity_type: "PERSON",
                    metadata: {
                        name:{value:{value:name},data_type:"STRING"},
                        _allow_contact: {value:{value:true},data_type:"BOOLEAN"},
                    }
                }

                // add the website if it were added
                if (website) {
                    entity.metadata.website = {value:{value:website},data_type:"STRING"}
                }

                // define request data
                let data = {
                    method: "PUT",
                    headers: {
                        "X-Device-ID": `1940a73c28b6dd2da787f4f2k2l984912838fbf0202490f0d9578e73a5e844b2`,
                        "Content-Type": "application/json",
                    },
                    body: JSON.stringify({entity: entity}),
                };

                // make the request to send the data to the api
                window.fetch("https://graph.5pm.dev/data/delivery", data)
                    .then((response) => {
                        document.querySelector('#waitingListForm').remove()
                        
                        const se = document.createElement('div')
                        se.innerHTML = "<h3>See You Soon!</h3><p>Thank you for your interest in <u>5pm.dev</u>. </p>"
                        document.querySelector('.waiting-list').appendChild(se)

                        form.reset();
                    })
                    .catch((error) => {
                        console.log(error);
                        submitButton.disabled = false;
                    });

                return false;
            }

            document.querySelector('#waitingListForm').addEventListener("submit", signup);
        </script>
    </body>
</html>
